# jQuery.timeout-window-resize.js
## Installation
````bash
npm i timeout-window-resize
````

## Require
````javascript
require("timeout-window-resize")
````

## Example
````javascript
$(window).timeoutResize(() => doSomethingAfter1Second(), 1000);
````

## Code
````javascript
(function($){
	$.fn.timeoutResize = function(callback, time){
		callback = callback || function(){};
		var $this = this;
		var settimeout_ID = 0;
		$this.resize(function(event) {
			clearTimeout(settimeout_ID);
			settimeout_ID = setTimeout(function(){
				callback(event);
			}, time);
		});

		return {
			destroy: function(){
				$this.off('resize', callback);
			}
		};
	};
})(jQuery);
````