/*
 * jQuery.timeout-window-resize.js
 * Вызов функции один раз через промежуток времени после изменения размеров окна
 * Copyright (c) 2018 Mupic
 * Licensed under the MIT license (http://www.opensource.org/licenses/mit-license.php)
 */

(function(factory) {
	if (typeof define === 'function' && define.amd) {
		// AMD. Register as an anonymous module.
		define(['jquery'], factory);
	} else if (typeof exports === 'object') {
		// Node/CommonJS style for Browserify
		if(typeof jQuery == 'undefined'){
			module.exports = factory;
		}else{
			module.exports = factory(jQuery);
		}
	} else {
		// Browser globals
		factory(jQuery);
	}
}(function($) {
	"use strict";
	$.fn.timeoutResize = function(callback, time){
		callback = callback || function(){};
		var $this = this;
		var settimeout_ID = 0;
		$this.resize(function(event) {
			clearTimeout(settimeout_ID);
			settimeout_ID = setTimeout(function(){
				callback(event);
			}, time);
		});

		return {
			destroy: function(){
				$this.off('resize', callback);
			}
		};
	};
}));